## org.apache.batik.ext.awt.image.codec.imageio
Class ImageIOPNGImageWriter

    java.lang.Object
      org.apache.batik.ext.awt.image.codec.imageio.ImageIOImageWriter
          org.apache.batik.ext.awt.image.codec.imageio.ImageIOPNGImageWriter

All Implemented Interfaces:
  java.util.EventListener, javax.imageio.event.IIOWriteWarningListener, ImageWriter

    public class ImageIOPNGImageWriter

extends ImageIOImageWriter

ImageWriter that encodes PNG images using Image I/O.

Constructor Summary
`ImageIOPNGImageWriter()` Main constructor.

Method Summary

Methods inherited from class org.apache.batik.ext.awt.image.codec.imageio.ImageIOImageWriter
`getChildNode, getDefaultWriteParam, getMIMEType, updateMetadata, warningOccurred, writeImage, writeImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageIOPNGImageWriter

    public ImageIOPNGImageWriter()

  Main constructor.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.